### Hierarchy

- LookupHelper

## Index

### Constructors

- constructor

### Properties

- _allLegendTiles
- _allLevelChars
- _allObjects
- _allSoundEffects

### Methods

- _addToHelper
- addLegendToAllLevelChars
- addObjectToAllLevelChars
- addSoundEffect
- addToAllLegendTiles
- addToAllObjects
- lookupByLevelChar
- lookupObjectOrLegendTile
- lookupSoundEffect

## Constructors

### constructor

- new LookupHelper(): LookupHelper

- - Defined in parser/lookup.ts:9

  #### Returns LookupHelper

## Properties

### _allLegendTiles

_allLegendTiles: Map<string, IGameTile>

- Defined in parser/lookup.ts:8

### _allLevelChars

_allLevelChars: Map<string, IGameTile>

- Defined in parser/lookup.ts:9

### _allObjects

_allObjects: Map<string, GameSprite>

- Defined in parser/lookup.ts:7

### _allSoundEffects

_allSoundEffects: Map<string, GameSound>

- Defined in parser/lookup.ts:6

## Methods

### _addToHelper

- _addToHelper<A>(map: Map<string, A>, key: string, value: A): void

- - Defined in parser/lookup.ts:18

  #### Type parameters

  - #### A

  #### Parameters

  - ##### map: Map<string, A>

  - ##### key: string

  - ##### value: A

  #### Returns void

### addLegendToAllLevelChars

- addLegendToAllLevelChars(legendTile: GameLegendTileSimple): void

- - Defined in parser/lookup.ts:37

  #### Parameters

  - ##### legendTile: GameLegendTileSimple

  #### Returns void

### addObjectToAllLevelChars

- addObjectToAllLevelChars(levelChar: string, gameObject: GameSprite): void

- - Defined in parser/lookup.ts:33

  #### Parameters

  - ##### levelChar: string

  - ##### gameObject: GameSprite

  #### Returns void

### addSoundEffect

- addSoundEffect(key: string, soundEffect: GameSoundSfx): void

- - Defined in parser/lookup.ts:24

  #### Parameters

  - ##### key: string

  - ##### soundEffect: GameSoundSfx

  #### Returns void

### addToAllLegendTiles

- addToAllLegendTiles(legendTile: GameLegendTileSimple): void

- - Defined in parser/lookup.ts:30

  #### Parameters

  - ##### legendTile: GameLegendTileSimple

  #### Returns void

### addToAllObjects

- addToAllObjects(gameObject: GameSprite): void

- - Defined in parser/lookup.ts:27

  #### Parameters

  - ##### gameObject: GameSprite

  #### Returns void

### lookupByLevelChar

- lookupByLevelChar(key: string): IGameTile

- - Defined in parser/lookup.ts:48

  #### Parameters

  - ##### key: string

  #### Returns IGameTile

### lookupObjectOrLegendTile

- lookupObjectOrLegendTile(source: IGameCode, key: string): GameSprite | IGameTile

- - Defined in parser/lookup.ts:40

  #### Parameters

  - ##### source: IGameCode

  - ##### key: string

  #### Returns GameSprite | IGameTile

### lookupSoundEffect

- lookupSoundEffect(key: string): undefined | GameSound

- - Defined in parser/lookup.ts:55

  #### Parameters

  - ##### key: string

  #### Returns undefined | GameSound

Generated using TypeDoc